/*
 *   This file is part of the MLV Library.
 *
 *   Copyright (C) 2010 Adrien Boussicault, Marc Zipstein
 *
 *
 *    This Library is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This Library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this Library.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "MLV_mouse.h"

#ifndef MEMORY_DEBUG
#include <SDL/SDL.h>
#else
#include "memory_debug.h"
#endif

#include "warning_error.h"

#include "memory_management.h"

void MLV_mouse_wait(int *x, int *y){
	SDL_Event event;

#if 0
	{
		if( SDL_WaitEvent( &event ) ){
			SDL_PollEvent( &event );
		};
		printf("Essai !\n");
	}while( (event.type != 	SDL_MOUSEBUTTONDOWN) || (event.button.button != SDL_BUTTON_LEFT) );
#endif
#if 1
	while( SDL_PollEvent(&event) || (event.type != 	SDL_MOUSEBUTTONDOWN) || (event.button.button != SDL_BUTTON_LEFT) || (event.button.state != SDL_PRESSED) );
#endif
	(*x) = event.button.x;
	(*y) = event.button.y;
}

